Page MenuHomePhabricator

Flow: Make Preview and Wikitext Edit available simultaneously
Closed, DeclinedPublic

Description

See also: T75679: Flow: Preview message looks like an error and has question mark cursor

screenshot - before and after Preview

Split from T69192: The message Flow-preview-warning is too technical:

(Bartosz Dziewoński wrote)

Why is Flow hiding the text area when you're previewing a comment, and
replacing it with a huge green message bubble? That's confusing. Please just
do the normal MediaWiki thing for this and no complicated explanations will
be necessary.

I'll attach a screenshot from http://en.wikipedia.beta.wmflabs.org/wiki/Talk:Flow

I think this is an interesting new experiment. It reminds me of Slashdot comments, where one can only Edit OR Preview, but not both at the same time. (eg. try previewing a test reply at http://ask.slashdot.org/story/14/06/27/1957239/ )

The normal MediaWiki thing, is to use the message:
[[MediaWiki:Previewnote]]
and then show the previewed text
and then show the edit box,
[Which enables us to both Preview and Edit the wikitext simultaneously.]

The downsides of the normal MediaWiki thing, which I believe this experiment is trying to solve, are that it:

  • Doubles the quantity of text onscreen
  • Pushes the text I'm replying to, further up the window (often above the fold)
  • The "This is just a preview" message might be missed by newcomers
  • other?

The downsides of the new experiment are:

  • Doubles the amount clicking required, for editors who use "preview" a lot. (which should be encouraged!)
  • Can't Preview and Edit at the same time. (eg. If I'm wondering how a complicated template will work, I'll: preview, tweak, preview, tweak, preview, tweak, preview, save. -- Having the Previewed-text stay static on my screen, but just changing slightly each time I preview, is immensely helpful. Versus, having to retain it in my memory whilst I'm in edit-mode)

(Sidenote: I use the UserScript https://en.wikipedia.org/wiki/User:Js/ajaxPreview which makes previewing especially fast, and solves the whole Regular-Preview problem of "Refreshes the entire page, and moves you to #Top".)

I would suggest returning to the normal preview-method. (Especially because the javascript version currently on mediawiki.org/enwiki seem to use something akin to the ajaxPreview, which is nice and fast and non-jarring. (albeit needs aethetic updates))
Then also, place the standard [[MediaWiki:Previewnote]] message in a tooltip at the side, next to the "reply" button. That will provide less inline-text to distract someone whilst they're composing a post. (and less new messages to translate! cf. the original bug)
But I'm willing to be convinced otherwise. :)


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz67258

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:33 AM
bzimport set Reference to bz67258.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Jun 28 2014, 7:03 PM

Yeah, this is something we should look at. Thanks for bringing it up!

Another downside to the new experiment:

  • it makes ctrl-Z (undo) non-functional, after previewing.

I think someone accidentally partially fixed this, because today at mediawiki, I'm getting:

Yay! Now keep going! ;-)

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 1 2015, 11:04 PM
Quiddity renamed this task from Flow: Preview and Edit are not possible simultaneously to Flow: Preview and Wikitext Edit are not possible simultaneously.Jun 1 2015, 11:04 PM
He7d3r renamed this task from Flow: Preview and Wikitext Edit are not possible simultaneously to Flow: Make Preview and Wikitext Edit available simultaneously.Aug 25 2015, 1:29 PM
He7d3r awarded a token.
He7d3r updated the task description. (Show Details)
Florian added a subscriber: Florian.
DannyH closed this task as Declined.Sep 17 2015, 5:04 PM
DannyH claimed this task.

Since this ticket was filed, we enabled VE in the Flow message fields. The VE field now serves as a preview for wikitext.

When you're using the wikitext editor and you want a preview, you can click on the brackets icon and get an immediate preview of what your post will look like. If you see a problem with your post, you can either edit it immediately while in VE mode, or switch back to wikitext by clicking on the brackets icon.

This is much faster than a normal wikitext preview, with no extra page loads. It would be redundant to build an extra preview box.

He7d3r removed a subscriber: He7d3r.Sep 18 2015, 12:38 AM
He7d3r rescinded a token.Sep 18 2015, 12:40 AM
He7d3r awarded a token.
He7d3r added a subscriber: He7d3r.

See also mw:Topic:Sn3mt38amyu5b5xj.

He7d3r removed a subscriber: He7d3r.Sep 18 2015, 12:41 AM